Récupère un contact
Récupère les informations d'un contact existant identifié par exactement un des paramètres id_shop_contact, id_customer_shop ou contact_data_email. Le paramètre fields permet de restreindre les attributs retournés.
Parameters
Header Parameters
[Authentication] Required API key.
"^[a-zA-Z0-9-]{20,64}$"Query Parameters
Internal Shopimind contact identifier (numeric, returned by listContacts).
Customer identifier as provided by the merchant shop (matches customer_id in bulkCreateCustomers).
Contact email address. Match is case-insensitive.
Subset of contact fields to return. Repeat the parameter or pass a comma-separated string.
"id_shop_contact""id_customer_shop""id_shop_customer""contact_data_email""contact_data_sms""contact_data_push""contact_first_name""contact_last_name""contact_gender""contact_birthday""contact_lang""contact_country""contact_state""contact_latitude""contact_longitude""optin_data_email""optin_data_sms""unsub_data_email""unsub_data_sms""unsub_data_push""reject_data_email""reject_data_sms""reject_data_push""last_views_data_email""last_views_data_sms""last_views_data_push""last_views_data_embed""last_views_data_popin""last_clics_data_email""last_clics_data_sms""last_clics_data_push""last_clics_data_embed""last_clics_data_popin""last_sales_data_email""last_sales_data_sms""last_sales_data_push""last_sales_data_embed""last_sales_data_popin""last_sales_data_valid""perfect_timing_data_email""perfect_timing_data_sms""perfect_timing_data_push""can_receive_email""can_receive_sms""can_receive_push""is_registered""active""created_on_shop_at""created_at""updated_at"Responses
Resource successfully retrieved.
Récupère un contact Récupère les informations d'un contact existant identifié par exactement un des paramètres id_shop_contact, id_customer_shop ou contact_data_email. Le paramètre fields permet de restreindre les attributs retournés. GET /v1/contacts getContact Contacts spm-api-key [Authentication] Required API key. id_shop_contact Internal Shopimind contact identifier (numeric, returned by listContacts). id_customer_shop Customer identifier as provided by the merchant shop (matches customer_id in bulkCreateCustomers). contact_data_email Contact email address. Match is case-insensitive. fields Subset of contact fields to return. Repeat the parameter or pass a comma-separated string. Resource successfully retrieved. Client error - Invalid request or authentication issues Server error - Internal processing failure